Please make sure you read Rules! and DO NOT upload/post any illegal softwares or Pirated Material , Thank you for understanding :)
  1. CarLabImmo

  2. Truck diag

  3. Enigma Tool

  4. AUTO-CHIPS

  5. Ecu-Service



ODIS newer than 4.1.4 with clone VAS5054 (Solution)
11-02-2019, 20:20 PM, (This post was last modified: 16-02-2019, 23:14 PM by karlfrosch.)
Post: #1
ODIS newer than 4.1.4 with clone VAS5054 (Solution)
Hello guys,

i read a lot in this forum, how to use old VAS5054a with new versions of ODIS. The main thing i read about is to replace the PDU-API with the latest working one for Clones 1.20.041. Thats not a great thing, but for me it don´t work. ODIS can´t connect to the car. After a lot of reading in inet i found the solution for this.

After replacing dpu api to v 1.20.041 its needed to edit the file C:\ODIS-DIAG-MODULES\MCD-SERVER\VWMCD\MCD3D_Server.ini

find MCD3D_MVCI_PDU_API_Shortname="D_PDU_API_DSA" and edit to this
MCD3D_MVCI_PDU_API_Shortname="EDIC_D_PDU_API_1_20_041"

EDIT:  some tests later the shortname can be different, depending on your installs and how to install the PDU-API

the correct shortname is in file C:\ProgramData\D-PDU API\pdu_api_root.xml the part with the 1.20.041 drivers

For ODIS-E it works also but the path is little different C:\ODIS-DIAG-MODULES-ENGINE\MCD-SERVER\VWMCD\MCD3D_Server.ini

I start this new thread, so it don´t go under the surface smile in another thread

Sorry for my english and i hope it will help someone.
Reputation: +3 - bobdinro [+1] , bradsbadluck [+1] , ocostel [+1]
Quote this message in a reply
[+] 12 users say Thank You to karlfrosch for this post
12-02-2019, 20:02 PM,
Post: #2
RE: ODIS newer than 4.1.4 with clone VAS5054 (Solution)
hi, and thank you for this solution. i will try it and report back with my findings. at the moment i am using pdu api 0.23 with 5.0.4 and working ok. will see how this ini file edit turns out.
Quote this message in a reply
16-02-2019, 19:04 PM,
Post: #3
ZTAudi  RE: ODIS newer than 4.1.4 with clone VAS5054 (Solution)
That is same problem I have with my vas5054a ...
 yes yes yes yes yes yes
Quote this message in a reply
18-02-2019, 22:33 PM,
Post: #4
RE: ODIS newer than 4.1.4 with clone VAS5054 (Solution)
I have odis 4.2.3/ odis 7.2.2 how can i connect them to passthru . Vcm ii /vcx nano
Quote this message in a reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  Flashdaten Odis-S/VAS-PC/Odis-S Postsetup Always Updated // 05.02.2019 Nackapatz 19 8,584 3 hours ago
Last Post: Nackapatz
  ODIS 5.0.6 error kmaverick 0 26 4 hours ago
Last Post: kmaverick
  ODIS-S 4.2.3 + Activation keys Open to everyone kuer8800 3,189 463,741 9 hours ago
Last Post: ToMiBoY
  ODIS 5:06 ODIS with eu-update 79.0.90 ibi1961 6 694 19-02-2019, 18:23 PM
Last Post: artful
ZVW Odis 4.2.3 Full All in ONE sixcode 1,184 137,612 19-02-2019, 18:13 PM
Last Post: ToMiBoY
  ODIS-E 7.2.2 + Activation keys Open to everyone kuer8800 1,593 192,679 18-02-2019, 17:46 PM
Last Post: ToMiBoY
ZVW Odis-Service 5.0.6_Multilanguage gyozo75 34 4,879 18-02-2019, 09:27 AM
Last Post: givememytoken
  ODIS 5.0.6 Launcer + License + Plugins Full-Standalone givememytoken 0 272 18-02-2019, 08:16 AM
Last Post: givememytoken
ZTAudi ODIS-Service 5.0.4 and ODIS Engineering 9.0.4 - Torrent Wangzhijun 80 16,362 17-02-2019, 13:44 PM
Last Post: Commander
ZVW -VAS5054-PassThru-Drivers-@-64bit- Roturbo 39 10,956 17-02-2019, 10:07 AM
Last Post: Leemb

Forum Jump:


Users browsing this thread:
1 Guest(s)

Return to TopReturn to Content